- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 316b2ae0-31dc-4d78-a6bf-58982c7ea2fa
    creation_time: 2023-02-17T12:06:34.495783Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/large_const.c
      input_file_hashes:
        c/loop-invgen/large_const.c: 6c063605f3a239d6fb8f1b3b2c5b162c1037b391f3160e0c1d2109ecc5ed3907
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/large_const.c
    file_hash: 6c063605f3a239d6fb8f1b3b2c5b162c1037b391f3160e0c1d2109ecc5ed3907
    line: 15
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: 0 <= i && i <= n && n < 10 && i*c2 <= k && k <= i*c3 && c1 == 4000 && c2 == 2000 && c3 == 10000
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 35487104-cd7b-4a22-9a79-a18c528cc7c9
    creation_time: 2023-02-17T12:06:34.495984Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/large_const.c
      input_file_hashes:
        c/loop-invgen/large_const.c: 6c063605f3a239d6fb8f1b3b2c5b162c1037b391f3160e0c1d2109ecc5ed3907
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/large_const.c
    file_hash: 6c063605f3a239d6fb8f1b3b2c5b162c1037b391f3160e0c1d2109ecc5ed3907
    line: 28
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: n*c2-j <= k && k <= n*c3-j && c2 == 2000 && c3 == 10000
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 171f6540-ceed-494d-9bf4-70957799ebbb
    creation_time: 2023-02-17T12:06:34.496210Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/large_const.c
      input_file_hashes:
        c/loop-invgen/large_const.c: 6c063605f3a239d6fb8f1b3b2c5b162c1037b391f3160e0c1d2109ecc5ed3907
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/large_const.c
    file_hash: 6c063605f3a239d6fb8f1b3b2c5b162c1037b391f3160e0c1d2109ecc5ed3907
    line: 29
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: k > 0
    type: assertion
    format: C

